unit u_web;

interface

function  DownloadURLFile(const anURL, FileLocal: string): boolean;


implementation
uses
   Classes,
   ExtActns,
   Worlds,
   t_Main;


function DownloadURLFile(const anURL, FileLocal: string): boolean;
var
   D: TDownLoadURL;
   ms: TMemoryStream;
   aStatText: string;
begin
   if Assigned(TMainTool(World.MainTool).On_DownloadURL_Event) then
   begin
      ms := TMemoryStream.Create;
      result := TMainTool(World.MainTool).On_DownloadURL_Event(anURL, ms, aStatText);
      if result then
         ms.SaveToFile(FIleLocal);
      ms.Free;
      exit;
   end;

   Result := True;
   D := TDownLoadURL.Create(nil);
   try
     D.URL := anURL;
     D.Filename := FileLocal;
     try
       D.ExecuteTarget(nil);
     except
       Result := False;
     end;
   finally
     D.Free;
   end;
end;


end.
